org.apache.ignite.internal.pagemem.wal.record

## Class ExchangeRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord
    - - org.apache.ignite.internal.pagemem.wal.record.ExchangeRecord

    public class ExchangeRecord
    extends TimeStampRecord

Partition map exchange WAL record.

### Nested Class Summary

Nested Classes
`static class` `ExchangeRecord.Type`

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp`

### Constructor Summary

Constructors
Constructor and Description
`ExchangeRecord(Short constId, ExchangeRecord.Type type)`
`ExchangeRecord(Short constId, ExchangeRecord.Type type, long timeStamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Short` `getConstId()`
`ExchangeRecord.Type` `getType()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp, timestamp`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, rollOver, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExchangeRecord

    public ExchangeRecord(Short constId,
                          ExchangeRecord.Type type,
                          long timeStamp)

Parameters:
  `constId` - Const id.
  `type` - Type.
  `timeStamp` - TimeStamp.

#### ExchangeRecord

    public ExchangeRecord(Short constId,
                          ExchangeRecord.Type type)

Parameters:
  `constId` - Const id.
  `type` - Type.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### getConstId

    public Short getConstId()

#### getType

    public ExchangeRecord.Type getType()

#### toString

    public String toString()

Overrides:
  `toString` in class `TimeStampRecord`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018